#define DEBUG
using System;
using System.Diagnostics;
using System.Threading;
using System.Windows.Forms;

namespace qk30ic;

internal static class Program
{
	[STAThread]
	private static void Main()
	{
		Application.EnableVisualStyles();
		Application.SetCompatibleTextRenderingDefault(defaultValue: false);
		Application.ThreadException += Application_ThreadException;
		Application.Run(new Form1());
	}

	private static void Application_ThreadException(object sender, ThreadExceptionEventArgs e)
	{
		try
		{
		}
		catch
		{
			Debug.WriteLine("★★_ERROR_100");
		}
		/*finally
		{
			Debug.WriteLine("\u3000\u3000☆アプリケーションリブート１");
			Thread.Sleep(10000);
			Application.Restart();
		}*/
	}
}
